Name:           perl-Dancer2-Plugin-REST
Version:        1.02
Release:        2%{?dist}
Summary:        Plugin for writing RESTful apps with Dancer2
License:        GPL+ or Artistic

URL:            http://search.cpan.org/dist/Dancer2-Plugin-REST/
Source0:        http://www.cpan.org/authors/id/Y/YA/YANICK/Dancer2-Plugin-REST-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(Carp)
BuildRequires:  perl(Class::Load)
BuildRequires:  perl(Dancer2) >= 0.202000
BuildRequires:  perl(Dancer2::Core::Request)
BuildRequires:  perl(Dancer2::Plugin)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(HTTP::Request::Common)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(JSON)
BuildRequires:  perl(Module::Runtime)
BuildRequires:  perl(Plack::Test)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(YAML)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
This plugin helps you write a RESTful web-service with Dancer2.

%prep
%setup -q -n Dancer2-Plugin-REST-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README README.mkdn
%license LICENSE
%{perl_vendorlib}/Dancer2*
%{_mandir}/man3/Dancer2*

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.02-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Jul 22 2017 Emmanuel Seyman <emmanuel@seyman.fr> - 1.02-1
- Update to 1.02

* Tue Jun 06 2017 Jitka Plesnikova <jplesnik@redhat.com> - 1.01-3
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.01-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Aug 28 2016 Emmanuel Seyman <emmanuel@seyman.fr> - 1.01-1
- Update to 1.01

* Thu Aug 25 2016 Emmanuel Seyman <emmanuel@seyman.fr> - 1.00-1
- Update to 1.00

* Tue Jul 26 2016 Emmanuel Seyman <emmanuel@seyman.fr> - 0.27-2
- Add a version to the BuildRequires on perl(Dancer2)

* Tue Jun 07 2016 Emmanuel Seyman <emmanuel@seyman.fr> - 0.27-1
- Specfile autogenerated by cpanspec 1.78.
